summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlfredo Tupone <tupone@gentoo.org>2021-06-05 16:39:53 +0200
committerAlfredo Tupone <tupone@gentoo.org>2021-06-05 16:39:53 +0200
commit1277cd6347a6f8293481b0a17b3450beabc9944f (patch)
treee57dc507195bc18b2b60dc6485f4480c4e4ca3d9
parentdev-python/lit: Enable py3.10 (diff)
downloadgentoo-1277cd6347a6f8293481b0a17b3450beabc9944f.tar.gz
gentoo-1277cd6347a6f8293481b0a17b3450beabc9944f.tar.bz2
gentoo-1277cd6347a6f8293481b0a17b3450beabc9944f.zip
dev-util/flawfinder: bump to 2.0.17
Package-Manager: Portage-3.0.18, Repoman-3.0.2 Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
-rw-r--r--dev-util/flawfinder/Manifest1
-rw-r--r--dev-util/flawfinder/flawfinder-2.0.17.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-util/flawfinder/Manifest b/dev-util/flawfinder/Manifest
index b68e7219d41..e3ee7bec851 100644
--- a/dev-util/flawfinder/Manifest
+++ b/dev-util/flawfinder/Manifest
@@ -1,2 +1,3 @@
DIST flawfinder-2.0.11.tar.gz 256777 BLAKE2B e2aa109a0cc435da7a8ba5f40b5dc6474e27ec340785c0070fce4a648fb5a186f6f0f5ab4e53c8e06c91fb1cb15179ecdb605a7f7477968e4d5595fc46cbd7c8 SHA512 4236da49914fa6317eb2fae1b3fd7ba08aa96a34bc5245bfd15b6532049193cbd0367bb3620e32252ce71cdd1128bec4b20c0e88b02c55d0ede1bb5bb091ddeb
DIST flawfinder-2.0.15.tar.gz 253677 BLAKE2B 5c4a0e21e0a7f144382c6ca25f713aef9bdb413d4bb5a73f66632ef365f55c75e755ab59cf92fb54dc2d043c8b88be8c28d5f5fca36df6795dabc00313b839f2 SHA512 12b637bae789ee86710c7d6ee203b811e78414ad5d173730bfffe3ea783a76ce999878c57ddaa8019744cac6bf94967663fd9fd80769d7a24b0a79d23c0b0d9d
+DIST flawfinder-2.0.17.tar.gz 259899 BLAKE2B 03a3cf425eb9f2cd2a8528d574c1fd9ed1d00e4dfc5f47556f7d49db041432d311e08754220eedd8492bb6d747ed31a0da67eed5f878ede207b1118e3db5da9a SHA512 8691e561e634d6562d43fca9ac8c505b62435ac368c1b038b84eabbf60628513a0410de60b53592567d07a9552b97112ff8406ddc9aba3512a3b07846d28a8c6
diff --git a/dev-util/flawfinder/flawfinder-2.0.17.ebuild b/dev-util/flawfinder/flawfinder-2.0.17.ebuild
new file mode 100644
index 00000000000..9305ed78d86
--- /dev/null
+++ b/dev-util/flawfinder/flawfinder-2.0.17.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Examines C/C++ source code for security flaws"
+HOMEPAGE="https://www.dwheeler.com/flawfinder/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i "s/${PN}.1.gz/${PN}.1/g" setup.py || die 'sed failed.'
+ default
+}
+
+python_test() {
+ emake test
+}
+
+python_install_all() {
+ local DOCS=( announcement ChangeLog README.md ${PN}.pdf )
+ distutils-r1_python_install_all
+}